### Method

# Gimp LinkLayer get_mime_type

since: 3.2

#### Declaration [src]

    gchar*
    gimp_link_layer_get_mime_type (
      GimpLinkLayer* layer
    )

#### Description [src]

Get the mime type of the monitored file.

This procedure returns the mime type of the file which is being monitored by `layer`.

Note that this will be the real mime type, corresponding to our format support, as returned by the `GimpLoadProcedure` which actually performs the external image file import.

This function may also return `NULL` in case of error (for instance if the external file doesn’t exist anymore).

Available since: 3.2

#### Return value

Type: `gchar*`

The mime type of the monitored file. The returned value must be freed with g_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.